/*  ICONCAL.H   Header file for ICONCAL.C */

#ifndef __ICONCAL_H
#define __ICONCAL_H

#define CLASSNAME               "ICONCAL"    // window class name

#define ICON_ICONCAL           1

#define ID_ICONCAL             10
#define ID_ABOUTDLG            1
#define ID_ICONCALDLG          2
#define ID_ICONCAL_TIMER       1001

#define IDD_ABOUT_DLG           100
#define IDD_ABOUT_TITLE         101
#define IDD_ABOUT_RELEASE       102
#define IDD_ABOUT_COPYRIGHT     103
#define IDD_ABOUT_COPYRIGHT_L2  104
#define IDD_ABOUT_COPYRIGHT_L3  105
#define IDD_ABOUT_COPYRIGHT_L4  106

#define IDD_ICONCAL_DONE           201
#define IDD_ICONCAL_ENTER_TEXT     202
#define IDD_ICONCAL_NEXT_MONTH     203
#define IDD_ICONCAL_NEXT_YEAR      204
#define IDD_ICONCAL_PREV_MONTH     205
#define IDD_ICONCAL_PREV_YEAR      206
#define IDD_ICONCAL_SPIN_DAY       207
#define IDD_ICONCAL_SPIN_MONTH     208
#define IDD_ICONCAL_SPIN_YEAR      209
#define IDD_ICONCAL_TODAY          210
#define IDD_ICONCAL_UPDATE         211
#define IDD_ICONCAL_WEEK_BOX       212
#define IDD_ICONCAL_WEEK_MON       213
#define IDD_ICONCAL_WEEK_SUN       214

#define IDM_ABOUT               10

#define LEN_ICONCAL_TIMER                  60000   // every minute

#define WM_USER_EXIT            ( WM_USER + 100 )
#define WM_USER_START		( WM_USER_EXIT + 1 )
#define MY_SET_VALUES		( WM_USER_START + 1 )

typedef struct _MAIN_PARM       // main program parameter block
{
  USHORT        cb;             // parameter block size
  HAB           hab;            // program anchor block handle
  HDC           hdcClient;      // used for font selection only
  HPS           hpsClient;
  HWND          hwndClient;     // client window handle
  HWND          hwndFrame;      // frame window handle
  HWND          hwndIconCal;   // settings dialog handle
  HOBJECT	hCMCicon;	// month calander icon handle

  BOOL		bToday;		// TRUE = show & update current date
  char		szLang[20];	// current language
  char		szPath[MAXPATH];// curent working directory
  long		lStart;		// weekday start: 0 = mon, 1 = sun
  struct date ShowDate; 	// date currently displayed
  struct date PrevDate;		// previously retrieved date
}
MAIN_PARM;
typedef MAIN_PARM *PMAIN_PARM;

#endif /* __ICONCAL_H */
