/*  WPCAL.H   Header file for WPCAL.C */

HOBJECT WPCalendar( HAB hab, struct date ShowDate, long lStart,
		    char* path, char* lang );
// WPS interface that checks limits and creates a month icon on the desktop
// if successful, Returns the handle to the icon, otherwise NULLHANDLE
// hab = calling program's anchor block handle
// ShowDate =  date structure
// lStart = week start day.  0 = monday, 1 = sunday
// path = the current working directory, which should contain the no. icons dir
// lang = two character string with the current language setting

long BuildCalendar( long cur_m, long cur_y, char *string );
// builds the title text for the icon which consists of 'month year' followed
// by the month calander.  Returns the starting column for the month
// cur_m = the month to display
// cur_y = the year to display
// string = title text destination

long WeekCount(  long cur_m, long cur_y  );
// Returns the no. of weeks from 1.1.cur_y to the beginning of cur_m

long TotalDaysOfMonth( long cur_m, long cur_y );
// Returns the total no. of day in cur_m for cur_y

long DayOfWeek( long dd, long mm, long year );
// Returns the day of week for dd-mm-year.  1 = monday

char* GetMonth( long cur_m );
// Returns a pointer to a static string with the text for cur_m according to
// the current language setting (as supported).  Note:  the language setting
// is saved in a global static variable for module wpcal

// From my standard library.  see myfuncs.h for descriptions
extern char *substrcpy( char *dest, char *source, int start, int amt );
extern BOOL SysErrorMessage( HAB hab, char *szTitle, char *szSource );

